Bug 161423 - [UPDATE] update 3 Pure language's modules
Summary: [UPDATE] update 3 Pure language's modules
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Eitan Adler
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-09 13:40 UTC by lichray
Modified: 2011-10-18 23:34 UTC (History)
0 users

See Also:


Attachments
pure_recent.patch (3.63 KB, patch)
2011-10-09 13:40 UTC, lichray
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lichray 2011-10-09 13:40:01 UTC
	
	This is a PR consists of 3 patches:
	pure-gtk-0.10
	pure-gen-0.12 (0.13 requires hs-language-c 0.4.2)
	pure-sockets-0.5

	The first 2 updates are just checksum changes.
	
	In pure-sockets, I removed the duplicated pkg-plist (a committer changed it to use the PLIST variable, but forgot to remove the file), and emit the clang depend on FreeBSD >= 9.
Comment 1 Eitan Adler freebsd_committer freebsd_triage 2011-10-11 23:53:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->eadler

I'll take it.
Comment 2 Eitan Adler freebsd_committer freebsd_triage 2011-10-15 14:56:32 UTC
State Changed
From-To: open->patched

awaiting review
Comment 3 dfilter service freebsd_committer 2011-10-18 23:20:40 UTC
eadler      2011-10-18 22:20:32 UTC

  FreeBSD ports repository

  Modified files:
    devel/pure-gen       Makefile distinfo 
    x11-toolkits/pure-gtk Makefile distinfo 
    net/pure-sockets     Makefile distinfo 
  Log:
  - update pure-gen to 0.12
  - update pure-gtk to 0.10
  - update pure-sockets to 0.5
  -- remove duplicate pkg-plist entries
  -- make clang dep unconditional
  
  PR:             ports/161423
  Submitted by:   Zhihao Yuan <lichray@gmail.com> (maintainer)
  Approved by:    bapt (mentor)
  
  Revision  Changes    Path
  1.4       +1 -2      ports/devel/pure-gen/Makefile
  1.3       +2 -2      ports/devel/pure-gen/distinfo
  1.2       +5 -3      ports/net/pure-sockets/Makefile
  1.2       +2 -2      ports/net/pure-sockets/distinfo
  1.2       +1 -1      ports/x11-toolkits/pure-gtk/Makefile
  1.2       +2 -2      ports/x11-toolkits/pure-gtk/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2011-10-18 23:34:15 UTC
State Changed
From-To: patched->closed

Committed. Thanks!